Tag: pip

Probleme mit Pip installieren numpy – RuntimeError: Defekte Toolchain: kann kein einfaches C-Programm verknüpfen

Ich versuche, numpy (und scipy und matplotlib) in ein virturalenv zu installieren. Ich bekomme immer diese Fehler: RuntimeError: Broken toolchain: cannot link a simple C program —————————————- Cleaning up… Command python setup.py egg_info failed with error code 1 Ich habe die Kommandozeilen-Tools für xcode installiert $ which gcc /usr/bin/gcc $ which cc /usr/bin/cc Ich bin […]

Pip Installation /usr/local/opt/python/bin/python2.7: schlechter Dolmetscher: Keine solche Datei oder Verzeichnis

Ich weiß nicht, was der Deal ist, aber ich stecke nach einigen Stackoverflow-Lösungen, die nirgendwo kommen. Kannst du mir bitte helfen? Monas-MacBook-Pro:CS764 mona$ sudo python get-pip.py The directory '/Users/mona/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. […]

Pip install gibt Fehler: Vcvarsall.bat kann nicht gefunden werden

Mit pip install zipline auf Windows 8 mit Python 2.7 gibt mir die Fehler: Downloading/unpacking six (from python-dateutil==2.1->delorean->zipline[all]) Running setup.py egg_info for package six Installing collected packages: blist, pytz, requests, python-dateutil, six Running setup.py install for blist building '_blist' extension error: Unable to find vcvarsall.bat Complete output from command C:\Python27\python.exe -c "import setuptools;__ file__='c:\\users\\ThatsMe\\appdata\\local\\temp\\pip-build-ThatsMe\\blist\\setup.py';ex ec(compile(open(__file__).read().replace('\r\n', […]

Pip kann keine Pakete von requirements.txt installieren

Ich versuche, eine Python-Software mit der Anforderungsdatei zu installieren. >> cat requirements.txt Cython==0.15.1 numpy==1.6.1 distribute==0.6.24 logilab-astng==0.23.1logilab-common==0.57.1 netaddr==0.7.6 numexpr==2.0.1 ply==2.5 pycallgraph==0.5.1 pyflowtools==0.3.4.1 pylint==0.25.1 tables==2.3.1 wsgiref==0.1.2 So schaffe ich eine virtuelle Umgebung >> mkvirtualenv parser (parser) >> pip freeze distribute==0.6.24 wsgiref==0.1.2 (parser) >> pip install -r requirements.txt … und dann habe ich Pakete heruntergeladen, aber nicht mit […]

Trouble läuft WeasyPrint nach der Installation von El Capitan (OSX 10.11)

Ich habe vor kurzem mein Betriebssystem auf meinem Mac nach El Capitan aktualisiert und seitdem habe ich in Probleme versucht, WeasyPrint auszuführen. Ich habe Macports aktualisiert, deinstalliert und alle Macport-Abhängigkeiten neu installiert. Ich habe auch deinstalliert und WeasyPrint über Pip ohne Probleme neu installiert, aber trotzdem läuft es nicht. Ich habe auch den Export DYLD_FALLBACK_LIBRARY_PATH […]

Kann nicht 64-Bit-Pygame auf Python 3.4 installieren

Ich habe 64-Bit-Python 3.4 installiert, die mit Pip kommt. Ich wollte pygame installieren, und ich weiß, dass die 32-Bit-Version, die sie auf ihrer Website haben würde nicht mit meiner Version von Python arbeiten. Also habe ich hier das 64-Bit-Python 3.4 Pygame-Paket heruntergeladen (pygame-1.9.2a0-cp34-none-win_amd64.whl). Ich habe das Paket in pygame.whl und versucht, pygame.whl auf der Kommandozeile […]

Verwalten von Python-Modulen, die wiederholt im lokalen und ursprünglichen Repository aktualisiert werden

Ich mag die mit pip installierten Python-Module bearbeiten. Aber ich kenne keinen guten Weg, um Konflikte zwischen lokalem Update und Original zu vermeiden, wenn ein Modul aktualisiert wird. Beispielsweise, $ pip install some_module $ vim ~/…/some_module/something.py # update the file $ pip install –upgrade some_module Es sollte einige Schwierigkeiten wegen der Konflikte zwischen lokalen und […]

Python Pip nicht in der Lage, vcvarsall.bat zu finden

Ich habe Probleme bei der Installation von Paketen in Python 3.5.1. Ich laufe Windows 8.1 und Nach dem Herunterladen von Visual Studio 2015 für seinen Compiler, ich tippe zB ein pip install numpy In meine Kommandozeile, die folgendes erzeugt: Collecting numpy Using cached numpy-1.10.2.tar.gz Installing collected packages: numpy Running setup.py install for numpy Complete output […]

Installieren von MySQL-python auf OSX fehlgeschlagen aufgrund fehlender mysql_config

Ich versuche, MySQL-python auf OSX zu installieren, so dass ein Programm, das ich schreibe, mit unserer Arbeitsdatenbank reden kann, um zu laufen und die Abfrageergebnisse zurückzuholen. Ich habe in diesem Fehler zu erklären, dass es eine fehlende mysql_config irgendwo gibt. Ich habe auf einige andere StackOverflow Antworten gekommen, aber sie sind auf Linux-Umgebungen ausgerichtet. Ich […]

Conda entfernt openssl bricht iPython, conda und pip

Beim Versuch, Paketabhängigkeitsprobleme zu lösen, verwendete ich conda, um openssl zu deinstallieren, da dies schien, eines der Pakete mit unzufriedenen Spezifikationen zu sein. Allerdings, sobald ich das tat, kamen conda, iPython und pip mit der Fehlermeldung ERROR:root:code for hash md5 was not found Ich habe versucht, mit dem Homebrew-Paket-Manager zu brew install openssl aber brew […]

Python ist die beste Programmiersprache der Welt.